#!/usr/bin/env sh

set -o errexit
set -o pipefail
set -o nounset

source ci/stack_env.sh

echo "Checking /deconcretize/${stack}_${environment}_${SQUASHFS_ID}"
if [ -e /deconcretize/${stack}_${environment}_${SQUASHFS_ID} ];
then
   while read -r spec
   do
     echo "Deconcretizing ${spec}"
     ${STACK_LOCATION}/spack/bin/spack \
         --color=always \
         -e ${environment} \
         deconcretize \
         --all --yes-to-all \
         ${spec}
   done <<< $(cat /deconcretize/${stack}_${environment}_${SQUASHFS_ID})
fi

${STACK_LOCATION}/spack/bin/spack \
    -e ${environment} \
    config blame | tee config-${environment}-${stack}.log

${STACK_LOCATION}/spack/bin/spack \
    --color always \
    -e ${environment} \
    concretize | tee concretize-${environment}-${stack}.log

${STACK_LOCATION}/spack/bin/spack \
    --color always \
    -e ${environment} \
    mirror create \
    -D -d ${MOUNT_POINT}/spack-mirror -a || /usr//bin/true

cp ${SPACK_SYSTEM_CONFIG_PATH}/spack.lock spack-${environment}-${stack}.lock
